Subject: bug#39980: [PATCH] gnus-shorten-url: Improve and avoid args-out-of-range error

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Apr 2020 14:05:40 +0300

> From: Štěpán Němec <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 12 Apr 2020 12:49:33 +0200
> 
> > OK for the change in gnus-summary-browse-url, but let's please leave
> > out of emacs-27 changes that aren't necessarily needed to fix the
> > original problem; cleanups are for master.
> 
> Understood.
> 
> > On emacs-27, let's just fix the original problem locally.
> 
> The revised patch is upthread
> (<https://lists.gnu.org/archive/html/bug-gnu-emacs/2020-03/msg01100.html>)

That's the one I was talking about: it includes changes that aren't
needed to fix the original bug.  Those additions make the change
cleaner, but we are way past cleanup time on the release branch.

> There are no changes in the patch that are not necessary for fixing the
> problem. The ediff changes (only adjusting callers) are necessitated by
> moving the helper function to subr-x.el, so that Gnus (or anything else)
> can use it, too.

The changes in subr-x and in ediff are unnecessary.  Let's make
changes only in gnus-summary-browse-url, OK?  The full changeset can
go to master.

Btw, this part of the commit log is inaccurate:

  * lisp/vc/ediff-init.el
  (ediff-truncate-string-left): Rename to 'string-truncate-left'.

And this one names the wrong function:

  * lisp/vc/ediff-mult.el (ediff-meta-insert-file-info1) (ediff-draw-dir-diffs):
  'ediff-draw-dir-diffs' renamed to 'string-truncate-left'.

And finally, the format of the last entry is slightly off the mark.
It should look like this:

  * lisp/vc/ediff-mult.el (ediff-meta-insert-file-info1)
  (ediff-draw-dir-diffs):

That is, the second parentheses pair should be on a new line.